package Daje::Plugin::Signup;
use Mojo::Base 'Mojolicious::Plugin', -signatures;
use v5.40;

our $VERSION = "0.02";

#
# NAME
#
# Daje::Plugin::Signup - It's how we signup
#
# SYNOPSIS
# ========
#
#     use Daje::Plugin::Signup;
#
# DESCRIPTION
# ===========
#
# Daje::Plugin::Signup is ...
#
# LICENSE
# =======
#
# Copyright (C) janeskil1525.
#
# This library is free software; you can redistribute it and/or modify
# it under the same terms as Perl itself.
#
# AUTHOR
# ======
#
# janeskil1525 E<lt>janeskil1525@gmail.comE<gt>
#

sub register ($self, $app, $config) {

    my $r = $app->routes();
    $r->put('/api/login/')->to('Signup#signup');

    $app->helper(login => sub {state $login = Daje::Helper::Login->new(pg => $app->pg)});


    $app->log->debug("Daje::Plugin::Signup::register start");

}

1;
__END__






#################### pod generated by Pod::Autopod - keep this line to make pod updates possible ####################

=head1 NAME

Daje::Plugin::Signup


=head1 SYNOPSIS


    use Daje::Plugin::Signup;



=head1 DESCRIPTION


NAME

Daje::Plugin::Signup - It's how we signup


Daje::Plugin::Signup is ...



=head1 REQUIRES

L<v5.40> 

L<Mojo::Base> 


=head1 METHODS

=head2 register

 register();


NAME

Daje::Plugin::Signup - It's how we signup

SYNOPSIS
========

    use Daje::Plugin::Signup;

DESCRIPTION
===========

Daje::Plugin::Signup is ...

LICENSE
=======

Copyright (C) janeskil1525.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

AUTHOR
======

janeskil1525 E<lt>janeskil1525@gmail.comE<gt>




=head1 AUTHOR


janeskil1525 E<lt>janeskil1525@gmail.comE<gt>



=head1 LICENSE


Copyright (C) janeskil1525.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.



=cut

